@echo off
setlocal

rem only change the following 4 params
set APP_NAME=TimingExecutor
set ZIP_NAME=tmex-src-bak
set PATH_CURR=%~dp0
set PATH_SRC_BAK=%PATH_CURR%src-bak
set PATH_7Z="D:\Program Files\7-Zip\7z.exe"

:: create empty pub dir
if not exist %PATH_SRC_BAK% mkdir %PATH_SRC_BAK%

:: xcopy
xcopy       %PATH_CURR%src			%PATH_SRC_BAK%      /D /S /Y			/EXCLUDE:%PATH_CURR%exclude.txt

rem del %ZIP_NAME%-*.zip
%PATH_7Z%       a -tzip     %PATH_CURR%%ZIP_NAME%-%date:~2,2%%date:~5,2%%date:~8,2%.zip        %PATH_SRC_BAK%\*      -mx

endlocal
pause
